/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
package blanco.xml.bind.valueobject;

/**
 * SAXイベントのうち 無視できる空白文字を記憶します。
 */
public class BlancoXmlIgnorableWhitespace {
    /**
     * フィールド [value]
     *
     * 項目の型 [java.lang.String]<br>
     * 無視できる空白文字データ。
     */
    private String fValue;

    /**
     * フィールド [cdata]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * CDATAかどうか。blancoXmlBindingでは Characters単位でCDATAかどうかを記憶します。
     */
    private boolean fCdata = false;

    /**
     * フィールド [value]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 無視できる空白文字データ。
     *
     * @param argValue フィールド[value]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[value]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 無視できる空白文字データ。
     *
     * @return フィールド[value]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * フィールド [cdata]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * CDATAかどうか。blancoXmlBindingでは Characters単位でCDATAかどうかを記憶します。
     *
     * @param argCdata フィールド[cdata]に格納したい値
     */
    public void setCdata(final boolean argCdata) {
        fCdata = argCdata;
    }

    /**
     * フィールド[cdata]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * CDATAかどうか。blancoXmlBindingでは Characters単位でCDATAかどうかを記憶します。
     *
     * @return フィールド[cdata]に格納されている値
     */
    public boolean getCdata() {
        return fCdata;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlIgnorableWhitespace[");
        buf.append("value=" + fValue);
        buf.append(",cdata=" + fCdata);
        buf.append("]");
        return buf.toString();
    }
}
